Name:           xmoto
Version:        0.6.2
Release:        %mkrel 1
Summary:        A challenging 2D motocross platform game
Group:          Games/Arcade
License:        GPLv2+
Url:            https://xmoto.sourceforge.net/
Source0:        https://github.com/xmoto/xmoto/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         xmoto-0.6.1-mga-sysdata.patch
Patch1:         xmoto-0.6.2-desktop-and-icon.patch

BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(ode)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libxdg-basedir)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(zlib)

# Use fonts-ttf-dejavu package rather than included fonts
Requires:       fonts-ttf-dejavu

%description
X-Moto is a challenging 2D motocross platform game, where physics play
an all important role in the gameplay. You need to control your bike
to its limit, if you want to have a chance finishing the more
difficult of the challenges.
First you'll try just to complete the levels, while later you'll
compete with yourself and others, racing against the clock.

%prep
%autosetup -p1

sed -i 's|DESTINATION bin|DESTINATION games|' src/CMakeLists.txt
sed -i 's|share/xmoto|share/games/xmoto|' bin/CMakeLists.txt extra/CMakeLists.txt

%build
%cmake \
        -DPREFER_SYSTEM_BZip2=ON \
        -DPREFER_SYSTEM_Lua=ON \
        -DPREFER_SYSTEM_XDG=ON
%cmake_build

%install
%cmake_install

# Remove included DejaVu fonts and replace with symlinks to fonts-ttf-dejavu packaged fonts
rm -f %{buildroot}%{_gamesdatadir}/%{name}/Textures/Fonts/DejaVu*
ln -sf %{_datadir}/fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_gamesdatadir}/%{name}/Textures/Fonts/DejaVuSans.ttf
ln -sf %{_datadir}/fonts/TTF/dejavu/DejaVuSansMono.ttf %{buildroot}%{_gamesdatadir}/%{name}/Textures/Fonts/DejaVuSansMono.ttf

for png in 128x128 64x64 32x32 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png extra/xmoto.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc ChangeLog README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Tue Mar 07 2023 daviddavid <daviddavid> 0.6.2-1.mga9
+ Revision: 1948268
- new version: 0.6.2
- switch to sdl2
- use upstream desktop file and icons

* Fri Apr 01 2022 umeabot <umeabot> 0.6.1-3.mga9
+ Revision: 1839947
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 danf <danf> 0.6.1-2.mga8
+ Revision: 1659355
- Load the bin file from its nonstandard location

* Tue Aug 11 2020 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1613229
- new version: 0.6.1

* Sat Feb 15 2020 umeabot <umeabot> 0.5.11-11.mga8
+ Revision: 1524233
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Mar 27 2019 daviddavid <daviddavid> 0.5.11-10.mga7
+ Revision: 1380497
- rebuild for new ode 0.16

* Sun Sep 23 2018 umeabot <umeabot> 0.5.11-9.mga7
+ Revision: 1301946
- Mageia 7 Mass Rebuild

* Fri Oct 06 2017 daviddavid <daviddavid> 0.5.11-8.mga7
+ Revision: 1169564
- patch0: fix build with gcc7

* Thu May 25 2017 akien <akien> 0.5.11-7.mga6
+ Revision: 1104628
- Rebuild for ode 0.15.2

* Sun Nov 13 2016 akien <akien> 0.5.11-6.mga6
+ Revision: 1066991
- Rebuild for new libode

* Tue Feb 09 2016 umeabot <umeabot> 0.5.11-5.mga6
+ Revision: 951387
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 akien <akien> 0.5.11-4.mga5
+ Revision: 806577
- Use system ODE instead of bundled one

* Wed Oct 15 2014 umeabot <umeabot> 0.5.11-3.mga5
+ Revision: 747017
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- switch back to lua-5.1

* Sun Jun 29 2014 tv <tv> 0.5.11-2.mga5
+ Revision: 641017
- rebuild with lua-5.2

* Wed Apr 02 2014 dams <dams> 0.5.11-1.mga5
+ Revision: 611325
- new version 0.5.11

* Sat Oct 19 2013 umeabot <umeabot> 0.5.10-7.mga4
+ Revision: 533599
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 0.5.10-6.mga4
+ Revision: 474060
- rebuild for new ode

* Mon Jun 03 2013 fwang <fwang> 0.5.10-5.mga4
+ Revision: 436270
- rebuild for new libpng

* Wed Mar 13 2013 barjac <barjac> 0.5.10-4.mga3
+ Revision: 402728
- Require fonts-ttf-dejavu for fonts
- remove DejaVu fonts from package
- symlink to fonts-ttf-dejavu fonts

* Mon Jan 14 2013 umeabot <umeabot> 0.5.10-3.mga3
+ Revision: 387222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 03 2012 dams <dams> 0.5.10-2.mga3
+ Revision: 266992
- add a patch to fix build with gcc47 (thanks to rtp)
- really fix icon size and clean specfile

* Tue Jun 26 2012 dams <dams> 0.5.10-1.mga3
+ Revision: 263951
- new version 0.5.10
- remove uneeded patch
- update icon size to have a better GNOME3 experience

* Sun Nov 13 2011 dams <dams> 0.5.9-1.mga2
+ Revision: 167348
- update BR add 'libxml2'
- new version 0.5.9

* Thu Sep 15 2011 fwang <fwang> 0.5.7-1.mga2
+ Revision: 144044
- fix build with latest png

* Mon Apr 11 2011 dams <dams> 0.5.7-1.mga1
+ Revision: 83184
- Update to 0.5.7

* Thu Apr 07 2011 dams <dams> 0.5.6-1.mga1
+ Revision: 81684
- Update to 0.5.6

* Wed Mar 23 2011 dams <dams> 0.5.5-2.mga1
+ Revision: 75902
- Fix new icon

* Wed Mar 23 2011 dams <dams> 0.5.5-1.mga1
+ Revision: 75895
- New version 0.5.5 and change icone

* Thu Jan 20 2011 blino <blino> 0.5.3-3.mga1
+ Revision: 25186
- use real vendor instead of hardcoded name
- imported package xmoto


* Mon Nov 15 2010 blino <blino> 0.5.3-2mdv2011.0
+ Revision: 597878
- drop deprecated menu macros

* Fri Aug 20 2010 blino <blino> 0.5.3-1mdv2011.0
+ Revision: 571446
- buildrequire xdg-basedir-devel
- 0.5.3
- drop merged 64bit patch

* Mon Sep 14 2009 fhimpe <fhimpe> 0.5.2-1mdv2010.0
+ Revision: 441035
- Add patch from Gentoo to fix build error on x86_64
- Update to new version 0.5.2
- Remove gcc 4.4 patch: not needed anymore

* Sat Aug 22 2009 fwang <fwang> 0.5.1-1mdv2010.0
+ Revision: 419530
- new version 0.5.1

* Sun Nov 30 2008 tpg <tpg> 0.5.0-1mdv2009.1
+ Revision: 308476
- update to new version 0.5.0
- add missing buildrequires on SDL_net-devel and bison
- disable rpath
- enable pth threads
- OpenGL is now default renderer
- move icons to fd.o compliant directory

* Fri Aug 08 2008 tv <tv> 0.4.2-3mdv2009.0
+ Revision: 269804
- rebuild early 2009.0 package (before pixel changes)

  + pixel <pixel>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Apr 16 2008 blino <blino> 0.4.2-2mdv2009.0
+ Revision: 194604
+ rebuild (emptylog)

* Thu Apr 10 2008 blino <blino> 0.4.2-1mdv2009.0
+ Revision: 192553
- update man page location
- 0.4.2

* Wed Feb 20 2008 blino <blino> 0.4.1-1mdv2008.1
+ Revision: 173162
- subversion is not required anymore at build time
- 0.4.1

* Fri Feb 01 2008 fwang <fwang> 0.4.0-1mdv2008.1
+ Revision: 160967
- BR svn
- New version 0.4.0

  + blino <blino>
    - restore BuildRoot

  + tv <tv>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 27 2007 blino <blino> 0.3.4-1mdv2008.1
+ Revision: 102544
- 0.3.4

* Wed Sep 05 2007 fwang <fwang> 0.3.3-1mdv2008.0
+ Revision: 79722
- New version 0.3.3

  + tv <tv>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Aug 07 2007 blino <blino> 0.3.2-1mdv2008.0
+ Revision: 59725
- 0.3.2

* Thu Jul 05 2007 blino <blino> 0.3.1-1mdv2008.0
+ Revision: 48446
- 0.3.1

* Thu Jun 14 2007 blino <blino> 0.3.0-1mdv2008.0
+ Revision: 39317
- do not run automake anymore
- 0.3.0
- buildrequire SDL_ttf-devel and sqlite-devel


* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 0.2.7-1mdv2007.1
+ Revision: 146717
- 0.2.7 (bugfix release)

* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 0.2.6-2mdv2007.1
+ Revision: 141625
- get man page from upstream SVN
- 0.2.6
- temporarily remove corrupted man page

* Mon Jan 22 2007 Olivier Blin <oblin@mandriva.com> 0.2.4-2mdv2007.1
+ Revision: 111784
- rebuild for new ode

* Tue Jan 02 2007 Olivier Blin <oblin@mandriva.com> 0.2.4-1mdv2007.1
+ Revision: 103095
- 0.2.4

* Sat Oct 14 2006 Olivier Blin <oblin@mandriva.com> 0.2.2-2mdv2007.1
+ Revision: 64521
- buildrequires bzip2-devel
- buildrequires png-devel
- buildrequires jpeg-devel
- package locale files
- add man pages
- fix parallel build
- 0.2.2
- remove 2006.0 hacks and menu
- Import xmoto

* Sun Sep 10 2006 Olivier Blin <blino@mandriva.com> 0.2.0-3mdv2007.0
- use soundwrapper

* Tue Aug 08 2006 Olivier Blin <blino@mandriva.com> 0.2.0-2mdv2007.0
- rebuild for single precision ode (#24139)

* Sat Jul 29 2006 Olivier Blin <blino@mandriva.com> 0.2.0-1mdv2007.0
- 0.2.0

* Fri Jul 21 2006 Olivier Blin <blino@mandriva.com> 0.1.16-2mdv2007.0
- rebuild for new libode
- XDG menu
- fix old menu section

* Sat Jun 17 2006 Olivier Blin <oblin@mandriva.com> 0.1.16-1mdv2007.0
- New release 0.1.16

* Sun May 21 2006 Olivier Blin <oblin@mandriva.com> 0.1.14-1mdk
- New release 0.1.14
- adapt to new X11 package name in BuildRequires
- BuildRequires curl-devel, for online high-scores

* Mon Apr 10 2006 Olivier Blin <oblin@mandriva.com> 0.1.12-1mdk
- New release 0.1.12

* Tue Feb 07 2006 Olivier Blin <oblin@mandriva.com> 0.1.11-1mdk
- New release 0.1.11

* Sat Dec 03 2005 Olivier Blin <oblin@mandriva.com> 0.1.10-1mdk
- New release 0.1.10

* Fri Dec 02 2005 Olivier Blin <oblin@mandriva.com> 0.1.9-2mdk
- add linking workaround for lua as well
- enable linking workaround if <= 2006.0 only

* Fri Dec 02 2005 Olivier Blin <oblin@mandriva.com> 0.1.9-1mdk
- New release 0.1.9

* Tue Nov 15 2005 Olivier Blin <oblin@mandriva.com> 0.1.8-3mdk
- add SDL_mixer-devel BuildRequires

* Tue Nov 15 2005 Olivier Blin <oblin@mandriva.com> 0.1.8-2mdk
- add icons
- mkrel
- workaround not to link against the devel .so
- fix x86_64 build

* Fri Nov 11 2005 Olivier Blin <oblin@mandriva.com> 0.1.8-1mdk
- initial Mandriva release

